<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>3.4.2</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>

    <groupId>com.gitlab.nickhutt</groupId>
    <artifactId>year-planner</artifactId>
    <version>0.0.2-SNAPSHOT</version>
    <name>year-planner</name>
    <packaging>pom</packaging>

    <modules>
        <module>year-planner-spring-boot</module>
        <module>year-planner-rest-api</module>
        <module>year-planner-domain</module>
        <module>year-planner-persistence</module>
        <module>year-planner-google-calendar</module>
        <module>year-planner-docker</module>
    </modules>

    <properties>
        <java.version>21</java.version>

        <!-- library versions -->
        <immutables.version>2.10.1</immutables.version>
        <lombok.version>1.18.36</lombok.version>
        <junit.version>5.11.4</junit.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.gitlab.nickhutt</groupId>
                <artifactId>year-planner-rest-api</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.gitlab.nickhutt</groupId>
                <artifactId>year-planner-persistence</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.gitlab.nickhutt</groupId>
                <artifactId>year-planner-google-calendar</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.gitlab.nickhutt</groupId>
                <artifactId>year-planner-domain</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>org.immutables</groupId>
                <artifactId>value</artifactId>
                <version>${immutables.version}</version>
                <scope>provided</scope>
            </dependency>

            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>${lombok.version}</version>
                <scope>provided</scope>
            </dependency>

            <dependency>
                <groupId>org.junit.jupiter</groupId>
                <artifactId>junit-jupiter-api</artifactId>
                <version>${junit.version}</version>
                <scope>test</scope>
            </dependency>

            <dependency>
                <groupId>org.junit.jupiter</groupId>
                <artifactId>junit-jupiter-engine</artifactId>
                <version>${junit.version}</version>
                <scope>test</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

</project>
